diff --git a/config/gimx-config.cpp b/config/gimx-config.cpp
index 644930e5..1680ade8 100644
--- a/config/gimx-config.cpp
+++ b/config/gimx-config.cpp
@@ -1043,7 +1043,7 @@ configFrame::configFrame(wxString file,wxWindow* parent, wxWindowID id __attribu
     FlexGridSizer30->Add(StaticTextShapePanelAxis, 1, wxALL|wxALIGN_CENTER_HORIZONTAL|wxALIGN_CENTER_VERTICAL, 5);
     AxisTabDeadZone = new wxTextCtrl(PanelAxis, ID_TEXTCTRL8, wxEmptyString, wxDefaultPosition, wxSize(27,-1), 0, wxDefaultValidator, _T("ID_TEXTCTRL8"));
     AxisTabDeadZone->Disable();
-    AxisTabDeadZone->SetToolTip(_("Dead zone [0..64]"));
+    AxisTabDeadZone->SetToolTip(_("Dead zone [-64..64]"));
     FlexGridSizer30->Add(AxisTabDeadZone, 1, wxALL|wxALIGN_CENTER_HORIZONTAL|wxALIGN_CENTER_VERTICAL, 5);
     AxisTabSensitivity = new wxTextCtrl(PanelAxis, ID_TEXTCTRL9, wxEmptyString, wxDefaultPosition, wxSize(59,-1), 0, wxDefaultValidator, _T("ID_TEXTCTRL9"));
     AxisTabSensitivity->Disable();
@@ -3336,9 +3336,9 @@ void configFrame::OnTextCtrl(wxCommandEvent& event)
         {
             text->SetValue(wxT("20"));
         }
-        else if(lvalue < 0)
+        else if(lvalue < -64)
         {
-            text->SetValue(wxT("0"));
+            text->SetValue(wxT("-64"));
         }
         else if(lvalue > 64)
         {
diff --git a/config/wxsmith/configframe.wxs b/config/wxsmith/configframe.wxs
index 2c8f6bfc..3e7a1118 100644
--- a/config/wxsmith/configframe.wxs
+++ b/config/wxsmith/configframe.wxs
@@ -1476,7 +1476,7 @@
 													<object class="wxTextCtrl" name="ID_TEXTCTRL8" variable="AxisTabDeadZone" member="yes">
 														<size>27,-1</size>
 														<enabled>0</enabled>
-														<tooltip>Dead zone [0..64]</tooltip>
+														<tooltip>Dead zone [-64..64]</tooltip>
 														<handler function="OnTextCtrl" entry="EVT_TEXT" />
 													</object>
 													<flag>wxALL|wxALIGN_CENTER_HORIZONTAL|wxALIGN_CENTER_VERTICAL</flag>
diff --git a/core/calibration.c b/core/calibration.c
index 09c3cf60..50d520ac 100644
--- a/core/calibration.c
+++ b/core/calibration.c
@@ -498,6 +498,9 @@ void cal_key(int sym, int down)
   }
 }
 
+#define DEADZONE_MAX(AXIS) \
+    (controller_get_mean_unsigned(ctype, AXIS) / controller_get_axis_scale(ctype, AXIS) / 2)
+
 /*
  * Use the mouse wheel to calibrate the mouse.
  */
@@ -550,26 +553,18 @@ void cal_button(int button)
           }
           break;
         case DZX:
-          if (mcal->dzx)
+          if (mcal->dzx && *mcal->dzx < DEADZONE_MAX(rel_axis_rstick_x))
           {
             *mcal->dzx += 1;
-            if (*mcal->dzx > controller_get_mean_unsigned(ctype, rel_axis_rstick_x) / controller_get_axis_scale(ctype, rel_axis_rstick_x))
-            {
-              *mcal->dzx = controller_get_mean_unsigned(ctype, rel_axis_rstick_x) / controller_get_axis_scale(ctype, rel_axis_rstick_x);
-            }
             mc->merge_x[mc->index] = 1;
             mc->merge_y[mc->index] = 0;
             mc->change = 1;
           }
           break;
         case DZY:
-          if (mcal->dzy)
+          if (mcal->dzy && *mcal->dzy < DEADZONE_MAX(rel_axis_rstick_y))
           {
             *mcal->dzy += 1;
-            if (*mcal->dzy > controller_get_mean_unsigned(ctype, rel_axis_rstick_x) / controller_get_axis_scale(ctype, rel_axis_rstick_x))
-            {
-              *mcal->dzy = controller_get_mean_unsigned(ctype, rel_axis_rstick_x) / controller_get_axis_scale(ctype, rel_axis_rstick_x);
-            }
             mc->merge_x[mc->index] = 0;
             mc->merge_y[mc->index] = 1;
             mc->change = 1;
@@ -659,7 +654,7 @@ void cal_button(int button)
           }
           break;
         case DZX:
-          if (mcal->dzx && *mcal->dzx > 0)
+          if (mcal->dzx && *mcal->dzx > - DEADZONE_MAX(rel_axis_rstick_x))
           {
             *mcal->dzx -= 1;
             mc->merge_x[mc->index] = -1;
@@ -668,7 +663,7 @@ void cal_button(int button)
           }
           break;
         case DZY:
-          if (mcal->dzy && *mcal->dzy > 0)
+          if (mcal->dzy && *mcal->dzy > - DEADZONE_MAX(rel_axis_rstick_y))
           {
             *mcal->dzy -= 1;
             mc->merge_x[mc->index] = 0;
diff --git a/core/config_reader.c b/core/config_reader.c
index 34a7d263..fe7372e8 100644
--- a/core/config_reader.c
+++ b/core/config_reader.c
@@ -374,7 +374,7 @@ static int ProcessEventElement(xmlNode * a_node, unsigned char mapper)
 
     if(mapper)
     {
-      ret = GetUnsignedIntProp(a_node, X_ATTR_DEADZONE, &entry.params.mapper.dead_zone);
+      ret = GetIntProp(a_node, X_ATTR_DEADZONE, &entry.params.mapper.dead_zone);
       if(ret == -1)
       {
         entry.params.mapper.dead_zone = 0;
diff --git a/core/include/config.h b/core/include/config.h
index c9cd1b98..a059f357 100644
--- a/core/include/config.h
+++ b/core/include/config.h
@@ -76,8 +76,8 @@ typedef struct
   double* ey;
   int rd;
   int vel;
-  unsigned int* dzx;
-  unsigned int* dzy;
+  int* dzx;
+  int* dzy;
   e_shape* dzs;
   s_mouse_options options;
   unsigned int dpi;
@@ -91,7 +91,7 @@ typedef struct
   double multiplier;
   double exponent;
   e_shape shape;
-  unsigned int dead_zone;
+  int dead_zone;
 
   s_axis_props axis_props;
 }s_mapper;
diff --git a/fpsconfig/fpsconfig.cbp b/fpsconfig/fpsconfig.cbp
index 2c14f5ec..e69a1805 100644
--- a/fpsconfig/fpsconfig.cbp
+++ b/fpsconfig/fpsconfig.cbp
@@ -46,8 +46,8 @@
 		</Linker>
 		<Unit filename="fpsconfigApp.cpp" />
 		<Unit filename="fpsconfigApp.h" />
-		<Unit filename="fpsconfigMain.cpp" />
-		<Unit filename="fpsconfigMain.h" />
+		<Unit filename="gimx-fpsconfig.cpp" />
+		<Unit filename="gimx-fpsconfig.h" />
 		<Unit filename="include/ControlMapper.h" />
 		<Unit filename="include/Configuration.h" />
 		<Unit filename="include/ConfigurationFile.h" />
@@ -77,7 +77,7 @@
 			<wxsmith version="1">
 				<gui name="wxWidgets" src="fpsconfigApp.cpp" main="fpsconfigFrame" init_handlers="necessary" language="CPP" />
 				<resources>
-					<wxFrame wxs="wxsmith/fpsconfigframe.wxs" src="fpsconfigMain.cpp" hdr="fpsconfigMain.h" name="fpsconfigFrame" language="CPP" />
+					<wxFrame wxs="wxsmith/fpsconfigframe.wxs" src="gimx-fpsconfig.cpp" hdr="gimx-fpsconfig.h" name="fpsconfigFrame" language="CPP" />
 				</resources>
 			</wxsmith>
 			<debugger />
diff --git a/fpsconfig/gimx-fpsconfig.cpp b/fpsconfig/gimx-fpsconfig.cpp
index b901ea46..c60ba8a9 100644
--- a/fpsconfig/gimx-fpsconfig.cpp
+++ b/fpsconfig/gimx-fpsconfig.cpp
@@ -251,10 +251,10 @@ fpsconfigFrame::fpsconfigFrame(wxString file,wxWindow* parent,wxWindowID id __at
     SpinCtrlBufferSizeADS = new wxSpinCtrl(Panel1, ID_SPINCTRL14, _T("1"), wxPoint(506,352), wxSize(44,-1), 0, 1, 30, 1, _T("ID_SPINCTRL14"));
     SpinCtrlBufferSizeADS->SetValue(_T("1"));
     SpinCtrlBufferSizeADS->SetToolTip(_("Buffer size (ADS)"));
-    SpinCtrlDeadZoneHipFire = new wxSpinCtrl(Panel1, ID_SPINCTRL1, _T("20"), wxPoint(184,320), wxSize(44,-1), 0, 0, 64, 20, _T("ID_SPINCTRL1"));
+    SpinCtrlDeadZoneHipFire = new wxSpinCtrl(Panel1, ID_SPINCTRL1, _T("20"), wxPoint(184,320), wxSize(44,-1), 0, -64, 64, 20, _T("ID_SPINCTRL1"));
     SpinCtrlDeadZoneHipFire->SetValue(_T("20"));
     SpinCtrlDeadZoneHipFire->SetToolTip(_("Dead zone (Hip Fire)"));
-    SpinCtrlDeadZoneADS = new wxSpinCtrl(Panel1, ID_SPINCTRL2, _T("20"), wxPoint(184,352), wxSize(44,-1), 0, 0, 64, 20, _T("ID_SPINCTRL2"));
+    SpinCtrlDeadZoneADS = new wxSpinCtrl(Panel1, ID_SPINCTRL2, _T("20"), wxPoint(184,352), wxSize(44,-1), 0, -64, 64, 20, _T("ID_SPINCTRL2"));
     SpinCtrlDeadZoneADS->SetValue(_T("20"));
     SpinCtrlDeadZoneADS->SetToolTip(_("Dead zone (ADS)"));
     TextCtrlSensitivityADS = new wxTextCtrl(Panel1, ID_TEXTCTRL24, wxEmptyString, wxPoint(312,352), wxSize(50,-1), wxTE_PROCESS_ENTER, wxDefaultValidator, _T("ID_TEXTCTRL24"));
diff --git a/fpsconfig/wxsmith/fpsconfigframe.wxs b/fpsconfig/wxsmith/fpsconfigframe.wxs
index 82d1987d..241af951 100644
--- a/fpsconfig/wxsmith/fpsconfigframe.wxs
+++ b/fpsconfig/wxsmith/fpsconfigframe.wxs
@@ -98,6 +98,7 @@
 			</object>
 			<object class="wxSpinCtrl" name="ID_SPINCTRL1" variable="SpinCtrlDeadZoneHipFire" member="yes">
 				<value>20</value>
+				<min>-64</min>
 				<max>64</max>
 				<pos>184,320</pos>
 				<size>44,-1</size>
@@ -105,6 +106,7 @@
 			</object>
 			<object class="wxSpinCtrl" name="ID_SPINCTRL2" variable="SpinCtrlDeadZoneADS" member="yes">
 				<value>20</value>
+				<min>-64</min>
 				<max>64</max>
 				<pos>184,352</pos>
 				<size>44,-1</size>
